# Ribbon Types Ribbon Types ## Gets all of the ribbon types in the system. - [GET /ribbonTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/listribbontypes.md): This method will scan all ribbon types and and return them to the caller. ## Creates a new ribbon type record that does not already exist. - [POST /ribbonTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/createribbontype.md): This method will auto-generate an ID and create a new ribbon type. If an ID is specified for the ribbon type, an error will be thrown. ## Execute Batch Operations - [POST /ribbonTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a ribbon type from the system by its ID. - [DELETE /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/deleteribbontype.md): This method will delete a ribbon type with the specified ID. ## Returns a ribbon type from the system by its ID. - [GET /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/getribbontype.md): This method will look up a ribbon type by the specified ID and return it back. ## Partially updates a ribbon type with the specified ID. - [PATCH /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/patchribbontype.md): This method will patch an existing ribbon type with the specified ID, using the HTTP PATCH specification. ## Updates a ribbon type with the specified ID. - [PUT /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/updateribbontype.md): This method will update an existing ribbon type with the specified ID.